group "NovationAmountsOld.model"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | 6 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(novatedAmount*, remainingAmount*) | (novatedNumberOfOptions?, remainingNumberOfOptions?) | (novatedNumberOfUnits?, remainingNumberOfUnits?)

Content Model Elements (6):

  novatedAmount, novatedNumberOfOptions, novatedNumberOfUnits, remainingAmount, remainingNumberOfOptions, remainingNumberOfUnits

Known Usage Locations

- In definitions of other model groups (1):
  NovationAmounts.model

XML Source (w/o annotations (7); see within schema source)

<xsd:group name="NovationAmountsOld.model"> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="novatedAmount" type="Money"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="remainingAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
novatedAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="novatedAmount" type="Money"/>

novatedNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"/>

novatedNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"/>

remainingAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="remainingAmount" type="Money"/>

remainingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/>

remainingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.